> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List proxy configs

> Returns all proxy configs for the authenticated user. An optional `protocol` query parameter (`socks5` or `wireguard`) filters the results by proxy type.



## OpenAPI

````yaml /api-reference/mobilerun-proxy/custom-proxies.yaml get /proxies
openapi: 3.1.0
info:
  title: Custom Proxies
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /proxies:
    get:
      tags:
        - Custom Proxies
      summary: List proxy configs
      description: >-
        Returns all proxy configs for the authenticated user. An optional
        `protocol` query parameter (`socks5` or `wireguard`) filters the results
        by proxy type.
      operationId: listProxies
      parameters:
        - in: query
          name: protocol
          required: false
          schema:
            enum:
              - socks5
              - wireguard
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/ProxyConfig'
                    type: array
                required:
                  - data
                type: object
          description: Proxies retrieved successfully
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const proxies = await client.proxies.list();

            console.log(proxies.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            proxies = client.proxies.list()
            print(proxies.data)
components:
  schemas:
    ProxyConfig:
      discriminator:
        mapping:
          socks5: '#/components/schemas/Socks5ProxyConfig'
          wireguard: '#/components/schemas/WireguardProxyConfig'
        propertyName: protocol
      oneOf:
        - $ref: '#/components/schemas/Socks5ProxyConfig'
        - $ref: '#/components/schemas/WireguardProxyConfig'
    ApiErrorEnvelope:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
        retryAfterSeconds:
          type: number
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    InternalServerError:
      properties:
        code:
          type: string
        message:
          type: string
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    Socks5ProxyConfig:
      properties:
        host:
          minLength: 1
          type: string
        name:
          maxLength: 50
          minLength: 3
          type: string
        password:
          minLength: 1
          type: string
        port:
          maximum: 65535
          minimum: 1
          type: integer
        protocol:
          enum:
            - socks5
          type: string
        proxyId:
          format: uuid
          type: string
        user:
          minLength: 1
          type: string
      required:
        - name
        - protocol
        - host
        - port
        - user
        - password
        - proxyId
      type: object
    WireguardProxyConfig:
      properties:
        config:
          maxLength: 10000
          minLength: 1
          type: string
        name:
          maxLength: 50
          minLength: 3
          type: string
        protocol:
          enum:
            - wireguard
          type: string
        proxyId:
          format: uuid
          type: string
      required:
        - name
        - protocol
        - config
        - proxyId
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.